﻿// <copyright file="SpecificControlConverter.cs" company="DotNetLib">
//
// .netlib: http://www.codeplex.com/DotNetLib
//
// This code is released under the New BSD License.
// A copy of this license is available at:
// http://www.codeplex.com/DotNetLib/license
//
// </copyright>

namespace DotNetLib.Web.UI.WebControls.Design
{
  using System;
  using System.Web.UI;
  using System.Web.UI.WebControls;

  public class SpecificControlConverter<T> : ControlIDConverter
  {
    public SpecificControlConverter()
    {
    }
    
    protected override bool FilterControl(Control control)
    {
      return control.GetType() == typeof(T);
    }
  }
}
