﻿// <copyright file="PronounceablePasswordGeneratorTest.cs" company="DotNetLib">
//
// .netlib: http://www.codeplex.com/DotNetLib
//
// This code is released under the New BSD License.
// A copy of this license is available at:
// http://www.codeplex.com/DotNetLib/license
//
// </copyright>

namespace DotNetLib.Tests.Security
{
  using DotNetLib.Security;
  using global::Microsoft.VisualStudio.TestTools.UnitTesting;

  /// <summary>
  /// This is a test class for DotNetLib.ArrayExtensions.
  /// </summary>
  [TestClass()]
  public class PronounceablePasswordGeneratorTest : TestBase
  {
    [ClassInitialize()]
    public static void Initialize(TestContext testContext)
    {
    }

    [ClassCleanup()]
    public static void Cleanup()
    {
    }

    /// <summary>
    /// A basic black box test.
    /// </summary>
    [TestMethod()]
    public void TestPasswordGeneration()
    {
      string password = PronounceablePasswordGenerator.Generate(1, 10)[0];
      Assert.IsNotNull(password);
      Assert.AreEqual(10, password.Length);
    }
  }
}
