﻿// <copyright file="IDirty.cs" company="DotNetLib">
//
// .netlib: http://www.codeplex.com/DotNetLib
//
// Portions of this were part of the CodePlex "Inifile Class Library"
//    project and written by etil, http://www.codeplex.com/site/users/view/etil
//
// This code is released under the New BSD License.
// A copy of this license is available at:
// http://www.codeplex.com/DotNetLib/license
//
// </copyright>

namespace DotNetLib.IO
{
  /// <summary>
  /// Interface to indicate that a class can be dirty.
  /// </summary>
  public interface IDirty
  {
    /// <summary>
    /// Gets a value indicating whether this class is dirty.
    /// </summary>
    bool IsDirty { get; }
  }
}
