﻿// <copyright file="WizardPageEnumConverter.cs" company="DotNetLib">
//
// .netlib: http://www.codeplex.com/DotNetLib
//
// This code is released under the New BSD License.
// A copy of this license is available at:
// http://www.codeplex.com/DotNetLib/license
//
// </copyright>

namespace DotNetLib.Windows.Forms.Design
{
  using System;
  using System.ComponentModel;
  using System.Globalization;

  internal class WizardPageCollectionEnumConverter : TypeConverter
  {
    public override object ConvertTo(ITypeDescriptorContext context, CultureInfo culture, object value, Type destinationType)
    {
      WizardPageCollection pages = (WizardPageCollection)value;
      return pages[pages.Owner.CurrentPageIndex].Name;
    }
  }
}
